A profile's card by its public ID, as this account may find it: never a child of another account.
GET
/api/profiles/by-id/{publicId}
const url = 'https://example.com/api/profiles/by-id/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/profiles/by-id/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”publicId
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
id
required
string format: uuid
publicId
required
string
name
required
string
avatar
required
string
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "publicId": "example", "name": "example", "avatar": "example"}Bad Request
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}